FTOOL
Um Programa Gráfico-Interativo para Ensino de Comportamento de Estruturas
Versão Educacional 2.11

Autoria do FTOOL

Luiz Fernando Martha
Professor Associado
Pontifícia Universidade Católica do Rio de Janeiro (PUC-Rio)
Departamento de Engenharia Civil (DEC) e
Grupo de Tecnologia em Computação Gráfica (Tecgraf/PUC-Rio)
Rua Marquês de São Vicente, 225, Gávea
22453-900 - Rio de Janeiro - BRASIL
Fone: (0XX+21) 3114-1189
Fax: (0XX+21) 3114-1195
e-mail: lfm@tecgraf.puc-rio.br

Visão Geral

O FTOOL é um programa que se destina ao ensino do comportamento estrutural de pórticos planos, ocupando um espaço pouco explorado por programas educativos, que se preocupam mais com o ensino das técnicas numéricas de análise, ou por versões educacionais de programas comerciais, mais preocupados em introduzir os estudantes às suas interfaces. Seu objetivo básico é motivar o aluno para aprender o comportamento estrutural. A experiência de ensino nesta área tem mostrado que o processo de aprendizado dos métodos de análise estrutural não é eficiente sem o conhecimento sobre o comportamento estrutural. É muito difícil motivar o aluno padrão a aprender a teoria dos métodos de análise sem entender como o modelo sendo analisado se comporta na prática. O processo de aprendizado dos métodos de análise melhoraria bastante se o estudante pudesse aprender sobre o comportamento estrutural simultaneamente.

Do seu objetivo básico decorre a necessidade do FTOOL ser uma ferramenta simples, unindo em uma única interface recursos para uma eficiente criação e manipulação do modelo (pré-processamento) aliados a uma análise da estrutura rápida e transparente e a uma visualização de resultados rápida e efetiva (pós-processamento).

Os usuários desta versão educacional do programa estão livres de qualquer compromisso para usá-lo. Entretanto, nem o autor, nem a PUC-Rio, nem o Tecgraf/PUC-Rio, nem qualquer outra Instituição relacionada são responsáveis pelo uso ou mau uso do programa e de seus resultados. Os acima mencionados não têm nenhum dever legal ou responsabilidade para com qualquer pessoa ou companhia pelos danos causados direta ou indiretamente resultantes do uso de alguma informação ou do uso do programa aqui disponibilizado. O usuário é responsável por toda ou qualquer conclusão feita com o uso do programa. Não existe nenhum compromisso de bom funcionamento ou qualquer garantia.

Download

  • Ftool Versão 2.11 para Windows.
  • Ftool Versão 2.11 para Linux.
    A versão disponibilizada é compatível com a biblioteca glibc 2.0 para Linux e utiliza as bibliotecas do OSF Motif.
  • Download deste manual em formato CHM (Compiled HTML Help).
  • Download deste manual em formato PDF.

Histórico

O FTOOL (Two-dimensional Frame Analysis Tool) foi desenvolvido inicialmente através de um projeto de pesquisa integrado, coordenado pelo professor Marcelo Gattass do Departamento de Informática da PUC-Rio e diretor do Grupo de Tecnologia em Computação Gráfica (Tecgraf/PUC-Rio) e com apoio do CNPq (Conselho Nacional de Desenvolvimento Científico e Tecnológico). O idealizador e responsável pelo programa é o professor Luiz Fernando Martha do Departamento de Engenharia Civil da PUC-Rio. Participaram no desenvolvimento do programa os alunos de graduação Eduardo Thadeu Leite Corseuil, Vinícius Samu de Figueiredo e Adriane Cavalieri Barbosa, todos do Departamento de Engenharia Civil da PUC-Rio, como bolsistas de iniciação científica no período de março de 1991 a dezembro de 1992. O programa, desenvolvido na plataforma DOS, sofreu alguns aprimoramentos até abril de 1995.

Também colaborou para este programa o então aluno de doutorado da PUC-Rio Waldemar Celes Filho (atualmente professor do Departamento de Informática da PUC-Rio), que trabalhou no desenvolvimento da biblioteca de funções HED (Half-Edge Data struture), para representação interna dos dados, e no desenvolvimento do programa MTOOL, cuja interface gráfica e estrutura de dados foram tomadas como ponto de partida deste programa. O módulo de análise numérica do programa recebeu a colaboração do então aluno de doutorado da PUC-Rio Ivan Fábio Menezes (atualmente professor do Departamento de Informática da PUC-Rio).

Durante o período do final de 1997 ao início de 1998, o FTOOL foi reescrito pelo professor Luiz Fernando Martha utilizando o sistema de interface IUP e o sistema gráfico CD, desenvolvidos pelo Tecgraf/PUC-Rio. Esta interface gráfica permite que o programa seja executado tanto no ambiente Windows quanto no ambiente Unix/X-windows. Em fevereiro de 1998 foi lançada a versão 2.00 do FTOOL. Deste então sucessivas versões do FTOOL foram lançadas, cada uma com pequenos melhoramentos.

Em agosto de 2000, a versão 2.08 foi também liberada na plataforma Linux. Na versão 2.09 de janeiro de 2001 foram incorporados procedimentos específicos para o auxílio ao ensino de análise estrutural, tais como consideração de barras inextensíveis ou infinitamente rígidas, e a aplicação de momentos concentrados em extremidades de barras para modelar cargas de hiperestáticos momentos fletores. Na versão 2.10 de novembro de 2001 foram adicionados o traçado de linhas de influência e a consulta de resultados por passos ao longo das barras. Na última versão 2.11 de agosto de 2002 foi melhorada a definição de seções transversais de barras, sendo criados diversos tipos de seções transversais especificadas por parâmetros e duas tabelas de perfis I. Também foram criadas importação de propriedades e atributos de modelos do FTOOL de outros arquivos, opção para desenhar diagramas de momentos fletores do lado das fibras tracionadas ou comprimidas da barra, opção para desenho de resultados transversalmente às barras e opção para desenho de valores por passos ao longo da barra, além de outras melhorias.

Desde o início, o FTOOL demonstrou ser uma valiosa ferramenta para o ensino de engenharia, sendo utilizado nos cursos de Análise Estrutural, Estruturas de Concreto Armado e Estruturas de Aço dos cursos de Engenharia Civil de diversas universidades no Brasil e no exterior.

Melhoramentos das versões 2.06 e 2.07 (abril de 2000)

  • Criado o item Units & Number Formatting no menu Options que dispara um diálogo que configura unidades e formatação de números. O usuário pode especificar unidades para cada um dos parâmetros no FTOOL, bem como sua formatação numérica. Existem opções para especificar unidades padrão em SI (Sistema Internacional), em US (Sistema Americano), ou todas as unidades em kilo-Newtons e metros. As unidades padrão podem ser sempre trocadas pelo usuário.
  • O menu Member Properties foi substituído pelos menus Material Parameters (parâmetros de materiais) e Section Properties (propriedades geométricas de seções transversais). Foram criadas opções para especificar propriedades padrão para Concreto e Aço.
  • Criados apoios elásticos de molas translacionais e rotacionais.
  • Textos passaram a ser desenhados na tela usando fontes em pixels (raster). As imagens exportadas ainda utilizam fontes vetoriais, com exceção dos formatos postscripts.
  • Criadas opções para visualizar valores de cargas e reações de apoio junto com o desenho das cargas e reações.
  • Criada uma opção para visualizar as cargas juntamente com os diagramas de esforços e configuração deformada da estrutura.
  • A área lateral de informações passa a utilizar um texto multi-linha ao invés de simples rótulos (Labels) passivos como nas versões anteriores. Isso permite que o usuário possa copiar (copy - Ctrl+C) o texto de informações e colar (paste - Ctrl+V) em um editor de texto. O botão direito do mouse também pode ser usado para copiar (copy) para o Clipboard (Área de transferência).
  • Modificada a seleção de objetos com cerca (retângulo) envolvente de tal maneira que, quando nenhum objeto está selecionado, a seleção fica automaticamente direcionada para barras.

Melhoramentos da versão 2.08 (agosto de 2000)

  • Liberada versão para Linux.
  • Criada solicitação de variação de temperatura em barras. O usuário espefica a variação de temperatura no bordo superior (na fibra do lado positivo do eixo local y) e no bordo inferior (na fibra do lado negativo do eixo local y) da seção transversal. Para tanto, foi adicionado aos parâmetros de materiais o coeficiente de dilatação térmica e foram adicionados às propriedades de seção transversal a altura da seção e a posição do centro de gravidade da seção.
  • Criadas linhas de cotas (dimension lines) para anotar distâncias na imagem da estrutura.
  • Criada opção para abrir arquivo de estrutura via drag-and-drop, isto é, arrastando o ícone do arquivo e soltando o botão do mouse em cima da tela do programa. Esta opção só funciona na versão Windows.
  • Modificado o programa para permitir a criação de atributos (parâmetros de materiais e propriedades de seção transversal) e cargas sem ser necessário criar uma estrutura antes. Assim o usuário pode manter um arquivo com os atributos e cargas mais utilizados, assim como as unidades e formatações numéricas preferidas, e usar este arquivo como ponto de partida para uma nova estrutura.

Melhoramentos da versão 2.09 (janeiro de 2001)

  • Criados atributos para restrições de deformações de barras. Pode-se impedir as deformações axiais de barras ou considerar barras como sendo infinitamente rígidas.
  • Criadas cargas momentos concentrados aplicadas em extremidades de barras. Isto permite as consideração de pares de momentos adjacentes a rótulas, freqüentemente empregados como hiperestáticos (incógnitas) dentro da metodologia do Método das Forças para análise de estruturas hiperestáticas.
  • Implementado o cálculo de rotações em extremidades articuladas de barras. As rotações calculadas correspondem à rotação da tangente à elástica na extremidade articulada com respeito à configuração indeformada da barra.
  • Os apoios que têm deslocamentos prescritos (recalques) são desenhados como apoios simples (para deslocamento horizontal ou vertical prescrito) e chapa (rotação prescrita) mostrados em separado. Esta representação é usual dentro da metodologia do Método dos Deslocamentos.
  • Foram feitas diversas modificações para melhorar a imagem da estrutura na tela. A principal delas é que, na versão para Windows, o modelo é desenhado em double buffering, isto é, a imagem é atualizada de um única vez na tela, acarretando em um melhor resultado perceptual. Também foi melhorado o desenho dos diagrama de esforços internos, respeitando a presença de articulações: o diagrama é desenhado em cada barra sempre entre articulações (se existirem).

Melhoramentos da versão 2.10 (novembro de 2001)

  • Criado o traçado de linhas de influência.
  • Criado passo para consulta de resultados ao longo de barras e para definição de seção transversal para traçado de linhas de influência.
  • Adicionado desenho do valor de um resultado na consulta a valores locais de diagramas.
  • Adicionada exibição na área lateral de valores de resultados (passo a passo) ao longo de uma barra consultada (pressionando botão da direita do mouse na barra).
  • Criado diálogo com a definição da convenção de sinais de esforços internos adotada no programa.
  • Adicionado sinal nos valores dos diagramas de esforço normal e esforço cortante. Adicionada opção para mostrar sinal dos valores de momentos fletores no diagrama. A opção inicial é para não mostrar sinal de momentos fletores.
  • Adicionado um traço no centro da seta que representa reações de apoio.
  • Corrigido um erro na conversão de unidades de comprimento de polegada para metro (usado internamente no programa).

Melhoramentos da versão 2.11 (agosto de 2002)

  • Melhorada a definição de seções transversais de barras, sendo criados diversos tipos de seções transversais especificadas por parâmetros e duas tabelas de perfis I.
  • Criada uma opção para mudança do padrão para traçado do diagrama de momentos fletores. O diagrama pode ser desenhado com valores positivos tanto do lado da fibra tracionada quanto do lado da fibra comprimida.
  • Criada uma opção para mudança do padrão para traçado de linhas de influência. Valores positivos podem ser desenhados do lado das fibras inferiores ou o traçado da linha de influência de um determinado esforço interno segue o padrão para traçado de diagrama do esforço interno correspondente.
  • Criadas opções para importação de parâmetros globais (sistema de unidades, parâmetros de visualização, etc.) e de atributos (tabelas de propriedades de materiais e de seções transversais, tabelas de cargas, etc.) de um outro arquivo criado pelo FTOOL. As propriedades podem ser importadas globalmente ou tabelas de atributos e cargas também podem ser importadas em separado.
  • Criada opção para mostrar valores de resultados dos diagramas desenhados transversalmente às barras de forma a não acavalar os valores.
  • Criada opção para mostrar valores de resultados em passos definidos ao longo das barras no desenho dos diagramas.
  • Disponibilizado na interface gráfica do programa o fator de escala utilizado para desenhar os diagramas de esforços internos. A escala é definida em termos de unidade de esforço por unidade de comprimento. A escala dos diagrama também pode ser ajustada pelo usuário editando o valor mostrado na régua de controle.
  • Corrigido problema de ajuste da imagem do modelo na tela quando diagramas são mostrados. Agora o ajuste considera o tamanho total da imagem, incluindo o desenho do diagrama.
  • Corrigido problema para realizar a análise da estrutura para arquivo de modelo com nome muito longo.

Créditos adicionais

  • A primeira versão deste manual (para a versão 2.07) foi criada por Luís Fernando Kaefer, aluno de doutorado da Escola Politécnica da Universidade de São Paulo (EPUSP), Departamento de Engenharia de Estruturas e Fundações (PEF) e Laboratório de Mecânica Computacional (LMC).
  • A versão atual do manual foi feita utilizando o toolkit WebBook desenvolvido por Antonio Scuri.
  • A implementação de diversos tipos de seções transversais no FTOOL teve colaboração de Christiana Niskier, então aluna de Graduação em Engenharia Civil e atualmente aluna de mestrado em Engenharia Civil na PUC-Rio.
  • A atualização do manual da versão 2.11 teve a colaboração de Pedro Cordeiro Marques, aluno de Graduação em Engenharia Civil na PUC-Rio.


Manipulação de Arquivos

Menu File

A manipulação de arquivos no FTOOL se dá através do menu suspenso File.

O Menu File contém opções para informações sobre o programa (About Ftool), para mostrar a convenção de sinais de esforços internos e definir o padrão para traçado de diagramas (Sign Convention) – veja detalhamento da convenção de sinais na seção sobre Pós-Processamento –, para criar um novo modelo (New), para carregar na memória o modelo gravado em um arquivo armazenado em disco (Open), para gravar o modelo corrente em um arquivo em disco com o mesmo nome (Save) ou com um nome diferente (Save as), para importar propriedades de outro arquivo do FTOOL (Import Properties), para exportar a imagem da tela (Export Screen) para a área de transferência do Windows (Clipboard) ou para arquivos com formatos específicos, para verificar o número total de barras e nós existentes no modelo (Totals), para determinar o limite da janela de trabalho (Limits) e, por fim, para de saída do programa (Exit).

A importação de propriedades (Import Properties) do menu File incorpora ao modelo corrente todos os parâmetros globais (sistema de unidades, parâmetros de visualização, etc.) e todos os atributos (tabelas de propriedades de materiais e de seções transversais, tabelas de cargas, etc.) existentes em um outro arquivo criado pelo FTOOL. Quando esta opção é selecionada, o programa pede para o usuário indicar o arquivo para importação. Tabelas de atributos e cargas também podem ser importadas em separado (veja seções Atributos de Nós e Barras e Atribuição de Cargas).

Os comandos mais utilizados do menu File foram agrupados no conjunto de botões da régua de controle no topo da tela do FTOOL que estão mostrados abaixo:

Exportação de imagem através do Clipboard (Área de transferência)

Para obter os melhores resultados, siga os seguintes passos:

  • Escolha a opção Export Screen/Clipboard do menu File, ou aperte o botão [image], ou ainda tecle Ctrl+C ("clicando" com o mouse antes na tela principal para deixar o foco nela).
    Isso vai copiar toda a imagem da tela principal do FTOOL para o Clipboard (Área de transferência). Observe que toda a imagem vai ser copiada e não somente os objetos que estiverem selecionados naquele instante.
  • Abra o aplicativo que vai importar a imagem, por exemplo o MS-Word.
    No MS-Word, para as versões NT, 2000 ou XP, selecione a opção Paste ... (Colar...) do menu Edit (Editar) ou tecle Ctrl+V. Pode-se usar a opção Paste Special... (Colar Especial...), selecionando, em seguida, a opção Picture (Figura). Nas plataformas Windows 95 e 98, NÃO selecione a opção Picture (Enhanced Metafile – Figura (Metarquivo avançado) – pois isso vai criar uma figura com tamanho demasiadamente grande. Para Windows 95 e 98, a opção Picture (Figura) vai gerar uma imagem pequena que pode ser ampliada pressionando o botão do mouse sobre um dos cantos da figura selecionada. Esta figura é gerada pequena pois foi salva com um tamanho cinco vezes maior do que a tela do FTOOL. Isto resulta em uma melhor precisão de desenho.
  • Edite a figura resultante. Nas plataformas Windows 95 e 98, pode acontecer que círculos resultantes de rótulas ou momentos apareçam preenchidos de preto ao se editar a figura. Não se conseguiu descobrir como evitar isso. Para corrigir, basta selecionar o objeto e retirar a cor de fundo ou preencher de branco (ou da cor do fundo). Este problema não ocorre para Windows NT, 2000 ou XP. Você pode engrossar as linhas (1/2 pt ou 3/4 pt são boas opções), trocar as cores dos elementos, etc.
  • Se a impressora for preto-e-branco, melhores resultados serão obtidos se, antes de exportar a imagem, a opção de imagem preto-e-branco for selecionada. Esta é a opção Black Foreground do menu Display.


Criação e Manipulação da Estrutura

Menu de Edição

O menu de edição reúne os botões para a criação e modificação do modelo.

A inserção de barras, nós ou linhas de cota no FTOOL possui um comportamento que automaticamente atrai o cursor do mouse para uma entidade existente (um nó ou uma barra). O processo de criação pode ser auxiliado pelo uso do Snap (atração) para uma grade (Grid) de pontos (veja na seção de Controles da Visualização).

Criação de Barras e Nós

A criação de uma barra ou um nó se faz de maneira direta. Para inserir uma barra (Member), basta selecionar o botão [image] e "clicar" em dois pontos do canvas. Instantaneamente são criados os nós nas extremidades da barra. Se a barra inserida interceptar uma barra existente, o nó da interseção das duas barras é automaticamente criado. Neste caso as duas barras são automaticamente subdivididas. Analogamente, para criar um nó, seleciona-se [image] e "clica-se" com o mouse em um ponto do canvas. Se o ponto "clicado" estiver em uma barra existente, a barra é dividida em duas barras com a inserção do novo nó.

A entrada de linhas via mouse para a criação de barras é feita com dois "cliques" do mouse: um para o primeiro nó da barra e o outro para o segundo nó. Usualmente a entrada de linhas via mouse segue a regra "pressiona botão - arrasta mouse - libera botão". O modo em dois "cliques" permite que o usuário desista da inserção da barra depois do primeiro ponto, bastando para isso "clicar" com o botão da direita do mouse ou teclar Esc. Este tipo de entrada de linha também permite que o usuário dê um zoom ou translade a janela de desenho depois de ter entrado com o primeiro nó e antes de entrar com o segundo.

Criação de Linhas de Cota

Linhas de Cota (Dimension Lines) são linhas auxiliares que servem para criar anotações de distância na imagem da estrutura. Para inserir uma linha de cota, basta selecionar o botão correspondente no menu de edição e "clicar" em três pontos do canvas. Os dois primeiros pontos são os pontos de referência para cotagem de distância. O terceiro ponto serve para definir onde a linha de cota propriamente dita vai ficar localizada. Durante a construção da linha de cota, o programa atualiza na tela o desenho da linha de cota, até que o usuário entre com o terceiro ponto.

O modo de criação da linha de cota em três "cliques" permite que o usuário desista da insersão da linha antes de entrar com o ponto, bastando para isso "clicar" com o botão da direita do mouse ou teclar Esc. Este tipo de interação também permite que o usuário dê um zoom ou translade a janela de desenho depois de ter entrado com o primeiro ponto ou o segundo ponto e antes de entrar com o terceiro.

Modo Teclado

Selecionando o modo teclado (botão [image]), pode-se criar nós e barras digitando suas coordenadas nos diálogos das figuras abaixo, onde o valor de tolerância (Tolerance) é utilizado para atração para entidades existentes (nunca utilize valor nulo para tolerância):

Modo Seleção

O botão [image] coloca o FTOOL em modo de seleção. Neste modo, "clicando" com o botão direito do mouse sobre uma barra ou um nó, pode-se visualizar seus atributos na área do menu lateral. Usando o botão esquerdo seleciona-se uma entidade de um tipo (o programa nunca permite que barras e nós fiquem selecionados simultaneamente). A selecão de um conjunto de barras ou um conjunto de nós pode ser feita "clicando" com o botão esquerdo do mouse concomitantemente com a tecla Shift. Um conjunto de entidades também pode ser selecionado definindo-se um retângulo (Fence) de seleção. Para definir um Fence de seleção deve-se pressionar o botão esquerdo do mouse e arrastá-lo com o botão pressionado. O retângulo de seleção fica definido pelo ponto onde o botão do mouse é liberado.

A seleção de entidades tem três objetivos. O primeiro é a eliminação de entidades. Para tanto deve-se usar o botão [image]. O segundo objetivo é a transformação das entidades selecionodas (vide Menu Transform). O terceiro objetivo é a aplicação de atributos ou cargas, que são sempre aplicados às barras ou nós que estiverem selecionados no instante.

Menu de Undo e Redo

A opção de Undo permite desfazer as últimas ações. A opção de Redo permite refazer a última ação desfeita.

Menu Transform

O menu Transform fornece opções para manipular entidades já criadas. Existem opções de mover (Move), espelhar (Mirror), rotacionar (Rotate), aplicar um fator de escala (Scale) e repetir a última transformação (Repeat). Selecionando Leave Original, a transformação é aplicada em uma cópia das entidades selecionadas.


Controle de Visualização

Menu de Controle de Visualização

Este menu agrupa todos os controles para definição da janela de visualização do modelo.

A opção para ajustar o modelo à tela enquadra a estrutura na área de desenho do programa deixando uma margem de folga.

A escala do desenho na tela pode ser alterada de várias formas. A primeira é definindo um retângulo de zoom (área de visualização definida por um retângulo). A entrada de dois cantos opostos do retângulo de visualização é feita com dois "cliques" do mouse. O modo em dois "cliques" permite que o usuário desista da redefinição da área de visualização depois do primeiro ponto do retângulo, bastando para isso "clicar" com o botão da direita do mouse ou teclar Esc. Se os dois "cliques" forem dados no mesmo ponto da tela, ocorrerá um zoom centrado neste ponto.

O botão de Zoom+ aumenta o tamanho do modelo na tela, enquanto o botão de Zoom– diminui o tamanho. Este efeito também pode ser conseguido "girando" o potenciômetro (dial) que controla a escala do desenho. Em ambos os casos, a escala do desenho se dá centrada no ponto médio da área de desenho.

Controle de Coordenadas

Neste menu se encontram as informações sobre a superfície de visualização. Os campos H e V armazenam o tamanho da janela de visualização e permitem a alteração destes valores. As mensagens X e Y mostram a posição do cursor na tela. Disponibiliza-se também a opção do usuário definir uma grade (Grid) de pontos na tela e outra para ativar a atração (Snap) do cursor para os pontos do Grid.

Menu Display

Neste menu o usuário pode escolher qual a cor de fundo de tela, tendo para cada cor de fundo selecionada diferentes cores relacionadas com as barras e nós do modelo. Outra opção é trabalhar com todos os elementos do modelo com a cor preta e fundo de tela branco. Isto permite que a imagem do modelo possa ser impressa em uma impressora monocromática. Pode-se também especificar quais os atributos que devem ser mostrados na tela durante o manuseio do programa. Deve-se observar que certas opções aplicam-se somente ao pré-processamento e outras somente ao pós-processamento.


Configurações

Menu Options

Atualmente as únicas configurações possíveis no FTOOL são as de sistemas de unidades e de formatação de valores numéricos. A opção Units & Number Formatting do menu Options faz exibir um diálogo que permite estas configurações.

Formatação de Unidades e Valores Numéricos

Através do diálogo de interface Units & Number Formatting, o usuário pode definir unidades para os diversos parâmetros envolvidos em uma análise estrutural pelo FTOOL, bem como os formatos para exibição dos valores numéricos associados a estes parâmetros. Existem opções para especificar unidades padrão em SI (Sistema Internacional), em US (Sistema Americano), ou todas as unidades em kilo-Newtons e metros. Para especificar unidades padrão e as correspondentes formatações de valores, basta selecionar o botão correspondente no topo diálogo. O usuário pode sempre alterar uma unidade ou formatação padrão para o que achar mais conveniente.

Sistemas de Unidades

  • A tabela abaixo mostra, para cada parâmetro usado, as unidades implementadas no FTOOL e os correspondes fatores de conversão para as unidades de referência interna, que estão indicadas em negrito. Internamente, o programa converte todas as unidades para estas unidades de referência.
  • A primeira unidade de cada parâmetro é a unidade que aparece automaticamente quando o usuário seleciona unidades SI (Sistema Internacional) ou unidades US (Sistema Americano).
  • Na conversão para unidades que utilizam tonelada força (tf), foi adotado:
    1 tf = 103 kg×g
    Para conversão, foi adotada a aceleração da gravidade g = 9.81 m/seg2.
  • Unidades Pascal:
    1 Pa = 1 N/m2
    1 kPa = 103 N/m2 = 1 kN/m2
    1 MPa = 106 N/m2 = 103 kN/m2 = 1 N/mm2
    1 GPa = 109 N/m2 = 106 kN/m2 = 1 kN/mm2
Parâmetro

Unidades SI

Unidades US

Símbolo | Nome | Fator da | Símbolo | Nome | Fator da
unid. ref. SI | unid. ref. SI
Distância e | m | metro | 1.0 | ft | pé | 0.3048
Comprimento | cm | centímetro | 0.01 | in | polegada | 0.0254
mm | milímetro | 0.001
Deslocamento | mm | milímetro | 0.001 | in | polegada | 0.0254
cm | centímetro | 0.01 | ft | pé | 0.3048
m | metro | 1.0
Rotação | rad | radiano | 1.0 | rad | radiano | 1.0
deg | grau | p/180.0 | deg | grau | p/180.0
Tamanho de | mm | milímetro | 0.001 | in | polegada | 0.0254
Seção | cm | centímetro | 0.01 | ft | pé | 0.3048
m | metro | 1.0
Área de Seção | mm2 | 0.000001 | in2 | polegada2 | 0.02542
cm2 | 0.0001 | ft2 | pé2 | 0.30482
m2 | 1.0
Momento de | mm4 | 1.0e-12 | in4 | polegada4 | 0.02544
Inércia | cm4 | 1.0e-08 | ft4 | pé4 | 0.30484
m4 | 1.0
Força | kN | kilo-Newton | 1.0 | kip | kilo-libra | 4.448
N | Newton | 0.001 | lb | libra (força) | 0.004448
tf | tonelada (força) | 9.81
Momento | kNm | 1.0 | ft-k | pé×klb. | 1.356
Nm | 0.001 | ft-lb | pé×libra | 0.001356
tfm | 9.81 | in-k | poleg.×klb. | 0.11298
kNcm | 0.01 | in-lb | poleg.×libra | 0.00011298
Ncm | 0.00001
tfcm | 0.0981
kNmm | 0.001
Nmm | 0.000001
tfmm | 0.00981
Carga | kN/m | 1.0 | k/ft | klb./pé | 14.593
Distribuída | N/m | 0.001 | lb/ft | libra/pé | 0.014593
tf/m | 9.81 | k/in | klb./poleg. | 175.1
kN/cm | 100.0 | lb/in | libra/pé | 0.1751
N/cm | 0.1
tf/cm | 981.0
kN/mm | 1000.0
N/mm | 1.0
tf/mm | 9810.0
Temperatura | °C | grau Celsius | 1.0 | °F | grau Fahrenheit | (T-32)×5/9
Módulo de | MPa | mega-Pascal | 1000.0 | ksi | klb./poleg.2 | 6895.0
Elasticidade | GPa | giga-Pascal | 1000000.0 | psi | libra/poleg.2 | 6.895
tf/mm2 | 9810000.0 | k/ft2 | klb./pé2 | 47.878
N/cm2 | 10.0 | lb/ft2 | libra/pé2 | 0.047878
kN/cm2 | 10000.0
tf/cm2 | 98100.0
Pa | Pascal (N/m2) | 0.001
kN/m2 | kilo-Pascal | 1.0
tf/m2 | 9.81
Peso Específico | kN/m3 | 1.0 | pcf | libra/pé3 | 0.1571
N/m3 | 0.001 | k/ft3 | klb./pé3 | 157.1
tf/m3 | 9.81 | lb/in3 | libra/poleg.3 | 271.434
kN/cm3 | 1000000.0 | k/in3 | klb./poleg.3 | 271434.0
N/cm3 | 1000.0
tf/cm3 | 9810000.0
kN/mm3 | 1.0e+09
N/mm3 | 1000000.0
tf/mm3 | 9.81e+09
Dilat. Térmica | 1/°C | 1.0 | 1/°F | 1.8
Rigidez | kN/m | 1.0 | k/ft | klb./pé | 14.593
Translacional | N/m | 0.001 | lb/ft | libra/pé | 0.014593
de Mola | tf/m | 9.81 | k/in | klb./poleg. | 175.1
kN/cm | 100.0 | lb/in | libra/pé | 0.1751
N/cm | 0.1
tf/cm | 981.0
kN/mm | 1000.0
N/mm | 1.0
tf/mm | 9810.0
Rigidez | kNm/rad | 1.0 | ft-k/rad | pé×klb./rad | 1.356
Rotacional | Nm/rad | 0.001 | ft-lb/rad | pé×libra/rad | 0.001356
de Mola | tfm/rad | 9.81 | in-k/rad | poleg.×klb./rad | 0.11298
kNcm/rad | 0.01 | in-lb/rad | poleg.×libra/rad | 0.00011298
Ncm/rad | 0.00001 | ft-k/deg | pé×klb./grau | 244.08/p
tfcm/rad | 0.0981 | ft-lb/deg | pé×libra/grau | 0.24408/p
kNmm/rad | 0.001 | in-k/deg | poleg.×klb./grau | 20.3364/p
Nmm/rad | 0.000001 | in-lb/deg | poleg.×libra/grau | 0.0203364/p
tfmm/rad | 0.00981
kNm/deg | 180.0/p
Nm/deg | 0.18/p
tfm/deg | 1765.8/p
kNcm/deg | 1.8/p
Ncm/deg | 0.0018/p
tfcm/deg | 17.658/p
kNmm/deg | 0.18/p
Nmm/deg | 0.00018/p
tfmm/deg | 1.7658/p


Atributos de Nós e Barras

Menu de Controle dos Atributos dos Nós e Barras

Os botões deste menu permitem visualizar os diversos submenus responsáveis pela criação e atribuição de propriedades às entidades do modelo. Estes submenus aparecem na área lateral da tela do programa.

Características Comuns aos Submenus

Os submenus para manipulação dos parâmetros de materiais, propriedades de seções transversais e valores de cargas possuem funcionamento básico igual. A lista drop-down (próxima figura) permite que seja selecionado um conjunto de propriedades através de seu nome. Os valores desta propriedade serão automaticamente visualizadas nos campos do submenu, permitindo sua edição.

Os botões da próxima figura permitem a manipulação destes conjuntos de propriedades.

Para criar um novo conjunto de propriedades, deve-se selecionar o botão [image] e atribuir um nome diferente das outras propriedades.

O botão [image] aciona a importação da lista de conjunto de propriedades de outro arquivo gerado pelo FTOOL, porém o usuário deve atentar que se no arquivo importado existirem propriedades com o mesmo nome de propriedades do modelo corrente, elas serão ignoradas.

A função que condensa o conjunto de propriedades elimina aquelas que não estão em uso.

Submenu de Parâmetros dos Materiais

Para criar um novo conjunto de parâmetros de material, deve-se selecionar o botão [image] e atribuir um nome diferente dos outros conjuntos existentes (figura abaixo à esquerda). Quando se cria um conjuntos de materiais, selecionando os botões Steel e Concrete cria-se automaticamente os materiais aço (E = 205 GPa) e concreto (E = 25 GPa).

Os parâmetros de material considerados são o módulo de elasticidade, o peso específico (não utilizado para nada no momento) e coeficiente de dilatação térmica.

Submenu de Propriedades das Seções Transversais

Neste submenu através do botão [image] é criado um novo conjunto de propriedades de seção transversal. No instante da criação deve-se escolher o tipo de seção (section type) dentre as alternativas da lista drop-down: Genérica (Generic), Retangular (Rectangle), Perfil I (I-shape), Cantoneira (Angle), Perfil T (T-shape), Perfil C (C-shape), Perfil Z (Z-shape), Barra circular (Circle), Tubo anelar (Ring), Cantoneira dupla (Double angle), Tubo quadrado (Box), Perfil I soldado padrão NBR (NBR welded I-shapes) ou Perfil I eletro-soldado da Usilight™ (Usilight I-shapes).

De acordo com o tipo de seção selecionada, na área lateral da tela deverão ser fornecidas os parâmetros que definem a seção transversal, conforme o desenho esquemático que acompanha o diálogo.

No caso de seção do tipo genérica, como na figura ao lado, os parâmetros da seção transversal são a área, o momento de inércia em relação ao centro de gravidade da seção transversal, a altura da seção e a posição do centro de gravidade. No caso de seção do tipo Perfil I soldado padrão NBR, como na figura ao lado, escolhe-se o tipo de perfil (Beam, Column ou Beam-Column) e altura da seção "d".

O FTOOL possui os dados dos perfis padrão NBR, bastando que o usuário selecione através das setas aquele que desejar.

Submenu de Condições de Apoio

Através deste submenu, o usuário define as componentes de deslocamentos na direção x e y e a rotação em torno do eixo z estão liberados ou não. Define-se também o ângulo do apoio, bem como se há algum deslocamento prescrito ou rotação prescrita, ou ainda se há algum apoio elástico em qualquer das direções.

Submenu de Propriedades de Articulação de Barras

Este menu permite que se atribuam rótulas a barras ou nós.

Submenu de Restrições de Deformações de Barras

Este menu permite que se restrinjam deformações de barras. Pode-se impedir as deformações axiais de uma barra ou considerar uma barra como sendo infinitamente rígida.


Atribuição de Cargas

Menu de Controle das Cargas

Os botões deste menu permitem acionar os diversos submenus responsáveis pela criação e atribuição de carregamentos às entidades do modelo. Estes submenus aparecem na área lateral da tela do programa. Os tipos de cargas disponíveis são cargas concentradas aplicadas a nós, momentos aplicados em extremidades de barras, cargas uniformemente ou linearmente distribuídas aplicadas a barras e variações de temperatura aplicadas a barras.

Informações Gerais

  • Caso de carregamento único
    Todas as cargas aplicadas a uma estrutura na versão atual do FTOOL atuam concomitantemente. Isto é, cada arquivo de dados do FTOOL corresponde a um caso de carregamento único.

  • Aplicação de cargas
    O sistema de atribuição dos cargas é igual ao procedimento de aplicação de atributos de barras (material e seção transversal). Deve-se inicialmente criar um tipo de carga, que fica associado a um nome fornecido e é adicionado na lista de cargas correspondente. A figura abaixo mostra uma lista tipo drop-down de cargas distribuídas definidas pelos seus nomes. Os valores das cargas associadas ao nome selecionado serão automaticamente visualizados nos campos do submenu, permitindo sua edição.

    Os botões da próxima figura permitem a manipulação das cargas de uma lista.

    A carga corrente é a que vai ser aplicada aos elementos selecionados. Deve-se selecionar os elementos de interesse e aplicar a carga através do botão [image], para o casos de barras, ou o botão [image], para o caso de nós.

  • Sistemas de eixos no FTOOL
    No FTOOL existe um sistema de eixos globais da estrutura e um sistema de eixos locais para cada uma das barras (membros). No sistema global, o eixo X é horizontal com sentido da esquerda para a direita, e o eixo Y é vertical com sentido de baixo para cima.
    O sistema de eixos locais de uma barra é tal que o eixo x local coincide com o eixo da barra e tem o sentido de criação da barra, isto é, do nó inicial para o nó final. O sentido do eixo local x pode ser visualizado no programa selecionando a opção Member Orientation do menu Display. O eixo y local é perpendicular ao eixo x e o seu sentido é tal que o produto vetorial x × y, usando a regra da mão direita, resulta em um vetor saindo do plano da estrutura.

  • Aplicação de cargas concentradas
    No FTOOL, cargas concentradas (forças e momentos) só podem ser aplicadas em nós da estrutura. Isto é assim para simplificar a interface do programa com o usuário, não existindo nenhum impedimento técnico para se aplicar uma carga concentrada no interior de uma barra. Se for preciso aplicar uma carga concentrada no interior de uma barra, basta inserir um nó na posição desejada, dividindo a barra em duas. As cargas concentradas são aplicadas sempre com os sentidos dos eixos globais da estrutura, sendo o sinal positivo quando as forças tiverem os sentidos dos eixos globais, e o sinal negativo quando contrário. Os momentos aplicados serão positivos quando tiverem o sentido anti-horário e negativos quando tiverem o sentido horário.

  • Sistemas de eixos para aplicação de cargas distribuídas
    No FTOOL, a aplicação de uma carga distribuída em uma barra pode ser feita no sistema de eixos globais ou no sistema de eixos locais. Os sinais dos carregamentos serão positivos quando coincidirem com o sentido dos eixos globais ou locais, conforme for o caso, e negativo quando tiverem o sentido contrário. Na interface do programa, nos menus de aplicação de cargas distribuídas uniformes ou lineares, existe uma opção para especificar o sistema de eixos da carga distribuída (global ou local).

  • Aplicação de cargas distribuídas parciais
    Para aplicar cargas distribuídas que atuam parcialmente em uma barra, pode-se inserir nós no interior da barra, criando novas barras resultantes da divisão da barra original. As cargas distribuídas são, então, aplicadas ao trecho de barra (divisão) desejada. Mas uma vez, isso é feito dessa maneira por uma decisão de política de interface com usuário. Assim é muito mais simples do que especificar as posições de atuação das cargas distribuídas parciais.

Submenu de Cargas Concentradas Nodais

Permite que sejam criadas e aplicadas cargas concentradas aos nós da estrutura. O sistema de coordenadas é o global.

Submenu de Cargas Momentos em Extremidades de Barras

Permite que sejam criados e aplicados momentos concentrados nas seções extremas de barras. Momentos aplicados no sentido anti-horário são positivos e no sentido horário são negativos, sendo "Ma" o momento aplicado na extremidade inicial da barra e "Mb" o momento aplicado na extremidade final da barra.

Submenu de Cargas Distribuídas Uniformes

Permite que sejam criadas e aplicadas cargas distribuídas uniformes às barras. Pode-se adotar como sistema de referência o sistema de coordenadas global ou o sistema local da barra.

Submenu de Cargas Distribuídas Lineares

Permite que sejam criadas e aplicadas cargas distribuídas lineares às barras. Pode-se adotar como sistema de referência o sistema de coordenadas global ou o sistema local da barra.

Submenu de Solicitações de Variação de Temperatura

Permite que sejam criadas e aplicadas solicitações de variação de temperatura às barras. O usuário espefica a variação de temperatura no bordo superior (na fibra do lado positivo do eixo local y) e no bordo inferior (na fibra do lado negativo do eixo local y) da seção transversal.


Resultados

Menu de Resultados

Modos de Resultados

Existem dois modos de resultados da análise de pórticos planos no FTOOL. A seleção do modo desejado é feita através de uma lista drop-down no menu de resultados. O primeiro modo é de Diagrama (Diagram), que considera a visualização de diagramas de esforços internos (esforço normal, esforço cortante e momento fletor) e a visualização de configuração deformada da estrutura.

O segundo modo é o de Linha de Influência (Influence Line). Pode-se visualizar linhas de influência de esforço normal, esforço cortante e momento fletor em uma seção selecionada. Uma linha de influência representa os valores de um esforço interno na seção selecionada em função de uma carga unitária que percorre a estrutura. No FTOOL, a carga unitária é sempre vertical de cima para baixo, não importando a direção da barra por onde a carga passa.

Quando o modo de Diagrama está selecionado, a opção para selecionar uma seção para traçar linha de influência fica desativada. Por outro lado, quando o modo de Linha de Influência está selecionado, a opção para desenhar a configuração deformada fica desativada.

Os resultados de diagramas ou linhas de influência são exibidos bastando pressionar o botão correspondente ao resultado desejado. Se o programa não estiver no modo de resultados (se nenhum resultado estiver aparecendo), a estrutura é automaticamente calculada quando algum botão para mostrar resultado é selecionado. No modo de Diagrama, os resultados são traçados diretamente.

No modo de Linha de Influência, o programa solicita ao usuário que selecione uma seção transversal de um membro para fazer o traçado. Enquanto o botão para selecionar uma nova seção para traçado de linha de influência estiver pressionado, o programa faz um novo traçado para cada seção selecionada. Para evitar que uma nova seção para traçado de linha de influência seja selecionada, este botão deve ser liberado. Assim, consultas a valores locais (resultados pontuais) podem ser feitas sem redefinir a linha de influência em exibição.

Convenção de Sinais para Esforços Internos

A convenção de sinais para esforços internos pode ser visualizada no programa selecionando a opção Sign Convention do menu File. Quando isso é feito aparece um diálogo na tela que permite visualizar a convenção de sinais e definir o padrão para traçado de diagramas de esforços internos e linhas de influência.

  • Fibras superiores e inferiores.
    A convenção de sinais para esforços internos depende da definição de quais são as fibras inferiores e superiores das seções transversais das barras. No FTOOL, nas barras horizontais e inclinadas, as fibras inferiores são as fibras de baixo quando se olha o eixo vertical da tela na sua orientação natural (cabeça do observador para cima). Nas barras verticais as fibras inferiores são as da direita. A figura no topo do diálogo de convenção de sinais indica as fibras inferiores de uma estrutura que contém barras com todas as direções possíveis.

  • Convenção de sinais.
    O FTOOL adota a seguinte convenção para os sinais dos esforços e para o desenho dos diagramas:

    • Esforcos normais (axiais):
      Esforços normais positivos são de tração e negativos de compressão. Na linha de mensagem também é indicado se é compressão ou tração. Valores positivos são desenhados do lado das fibras superiores e negativos do outro lado.

    • Esforços cortantes:
      Esforços cortantes são positivos quando, entrando com as forças à esquerda de uma seção transversal (olhando com a cabeça voltada das fibras inferiores para as superiores), a resultante das forcas na direção vertical local for no sentido para cima. Como para esforços axiais, valores positivos são desenhados do lado das fibras superiores e negativos do outro lado.

    • Momentos fletores:
      Momentos fletores são positivos quando tracionam as fibras inferiores e negativos quando tracionam as fibras superiores. O diagrama de momentos fletores pode ser desenhado com valores positivos tanto do lado da fibra tracionada quanto do lado da fibra comprimida, sendo esta configuração definida através de uma opção específica no diálogo de convenções de sinais. O sinal negativo do momento fletor no diagrama pode ser mostrado como opção, que pode ser acionada no menu Display (veja seção de Configurações).

  • Traçado de linhas de influência.
    As linhas de influência de esforços internos em seções selecionadas seguem a convenção de sinais mostrada acima. O padrão para traçado das linhas de influência pode ser definido no diálogo de convenções de sinais. Existem duas opções: valores positivos são desenhados do lado das fibras inferiores ou o traçado da linha de influência de um determinado esforço interno segue o padrão descrito acima para traçado de diagrama do esforço interno correspondente.

Escala dos Diagramas e Linhas de Influência

Os diagramas de esforços e a configuração deformada têm uma escala inicial definida na tela de forma que o valor máximo de um diagrama apareça razoavelmente na tela. Esta escala pode ser alterada utilizando o potenciômetro que fica à esquerda dos botões do menu de resultados.

Nos diagramas de esforços a escala pode também ser ajustada pelo usuário editando o valor mostrado na régua de controle, entre os botões de atribuição de cargas e os botões de resultados. Neste caso, a escala é definida em termos de unidade de esforço por unidade de comprimento.

Na configuração deformada da estrutura, o fator de escala dos deslocamentos (Deformed Factor) pode ser ajustado do mesmo modo.

As linhas de influência têm uma escala inicial unitária. Esta escala pode ser alterada utilizando o potenciômetro que fica à esquerda dos botões do menu de resultados. O fator de escala também pode ser editado pelo usuário.

Resultados Pontuais

Em modo de Diagrama (Diagram), "clicando" em um ponto sobre uma barra com o botão esquerdo do mouse, aparece na barra de mensagem acima da área de desenho o valor do correspondente diagrama para aquele ponto. Se for usado o botão direito do mouse, aparecem na área lateral da tela informações adicionais sobre a barra com respeito ao diagrama sendo visualizado. Se um passo para consulta de resultados estiver definido, na área lateral serão exibidos os resultados do diagrama ao longo da barra consultada. Os valores para cada passo ao longo das barras também podem ser mostrados no desenho dos diagramas. Existe uma opção específica para isso (Step Values) que pode ser acionada no menu Display (veja seção de Configurações).

Também em modo de Diagrama, se o botão direito do mouse for "clicado" sobre um nó: informações sobre os resultados de análise do nó, tais como deslocamentos e reações de apoio, são indicados na área lateral.

Em modo de Linha de Influência (Influence Line), se a opção para selecionar uma nova seção para traçado NÃO estiver selecionada, "clicando" em um ponto sobre uma barra com o botão esquerdo do mouse, aparece na barra de mensagem acima da área de desenho o valor da correspondente linha de influência naquele ponto. Se for usado o botão direito do mouse (mesmo com a opção para definir uma nova seção ativa), somente uma consulta é realizada, e são mostrados na área lateral da tela os resultados ao longo da barra (passo a passo) com respeito à linha de influência sendo visualizada. Valores dos resultados de linhas de influência nos passos também podem ser visualizados com a opção Step Values do menu Display.